summaryrefslogtreecommitdiffstats
path: root/ham
diff options
context:
space:
mode:
author JK Wood <joshuakwood@gmail.com>2014-07-16 19:06:35 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-07-16 19:06:35 +0700
commit47b1ef0f555e018fe3a07c48cfe0ae5f5f1654c4 (patch)
tree70b33663b337ed1f0a094b4a0cbcbd2be474730d /ham
parent5d17f10ae1abcb55da568537074f87799ac058ba (diff)
downloadslackbuilds-47b1ef0f555e018fe3a07c48cfe0ae5f5f1654c4.tar.gz
slackbuilds-47b1ef0f555e018fe3a07c48cfe0ae5f5f1654c4.tar.xz
ham/xanalyser: Added (stereo audio analyser).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'ham')
-rw-r--r--ham/xanalyser/README21
-rw-r--r--ham/xanalyser/slack-desc19
-rw-r--r--ham/xanalyser/xanalyser.SlackBuild99
-rw-r--r--ham/xanalyser/xanalyser.info10
4 files changed, 149 insertions, 0 deletions
diff --git a/ham/xanalyser/README b/ham/xanalyser/README
new file mode 100644
index 0000000000..fac4533465
--- /dev/null
+++ b/ham/xanalyser/README
@@ -0,0 +1,21 @@
+XAnalyser is a program to analyse a stereo audio signal. It has two
+displays:
+Frequency Spectrum
+
+Using Fast Fourier Transform, the time domain of the signal is
+transformed into the frequency domain, i.e. the amplitude (in
+logarithmic scale) of the audio signal is plotted versus the
+frequency. Either the sum of the left and right channel of the
+audio signal can be shown or both channels simultaneously.
+
+XY Scope
+
+Roughly speaking, the audio signal of left channel deflects a
+point horizontally and the right channel vertically (just as the
+beam of a CRT would do). Thus, an audio signal only present on
+the left channel produces a horizontal line, whereas an audio
+signal only present on the right channel produces a vertical
+line. A mono signal produces a 45 degree line. A stereo signal
+creates a wilde pattern (if the phase is correct, predominately
+in the same direction as a mono signal) or may even fill the entire
+scope.
diff --git a/ham/xanalyser/slack-desc b/ham/xanalyser/slack-desc
new file mode 100644
index 0000000000..2b4eba1414
--- /dev/null
+++ b/ham/xanalyser/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+xanalyser: xanalyser (stereo audio analyser)
+xanalyser:
+xanalyser: XAnalyser is a program to analyse a stereo audio signal. It has two
+xanalyser: displays, Frequency Spectrum and XY Scope.
+xanalyser:
+xanalyser:
+xanalyser:
+xanalyser:
+xanalyser:
+xanalyser: Homepage: http://arvin.schnell-web.net/xanalyser/
+xanalyser:
diff --git a/ham/xanalyser/xanalyser.SlackBuild b/ham/xanalyser/xanalyser.SlackBuild
new file mode 100644
index 0000000000..b6dbc8f5fe
--- /dev/null
+++ b/ham/xanalyser/xanalyser.SlackBuild
@@ -0,0 +1,99 @@
+#!/bin/sh
+# Slackbuild for xanalyser
+# Written by JK Wood <joshuakwood@gmail.com>
+
+# Slackbuild is released under the Dog-on-Fire License:
+# If use of this script causes your dog to catch on fire,
+# you agree to send me five dollars. Or a picture
+# of the dog on fire.
+# Otherwise, you're on your own. I've tested the script
+# on my own computer, and it hasn't broken anything.
+# So if it does it on your computer, that falls in
+# the realm of "Not my problem."
+#
+# Of course, if you'll send a bug report to the above
+# email address, I may be able to see what you did
+# wrong and prevent it from happening in the future.
+# In which case, I may just send YOU five dollars.
+
+# Oh, and feel free to copy it and modify it as you
+# see fit. Or as I see fit. Or as I fit. Although
+# that is unlikely, as I am rather tall.
+
+PRGNAM=xanalyser
+VERSION=${VERSION:-1.32}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --mandir=/usr/man \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING VERSION $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/doc -name "Makefile" -exec rm {} \;
+find $PKG/usr/doc -type f -exec chmod 644 {} \;
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG${PKGTYPE:-.tgz}
diff --git a/ham/xanalyser/xanalyser.info b/ham/xanalyser/xanalyser.info
new file mode 100644
index 0000000000..a246dd0fca
--- /dev/null
+++ b/ham/xanalyser/xanalyser.info
@@ -0,0 +1,10 @@
+PRGNAM="xanalyser"
+VERSION="1.32"
+HOMEPAGE="http://arvin.schnell-web.net/xanalyser/"
+DOWNLOAD="http://arvin.schnell-web.net/xanalyser/xanalyser-1.32.tar.bz2"
+MD5SUM="400a3035b5a1f893b97e205c6c6ea3fa"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="JK Wood"
+EMAIL="joshuakwood@gmail.com"